Get model

GET/v1/models/{model_id}

Get one model by ID.

Use the id returned in GET /v1/models.data[] as model_id. The response is the same model object shape as a single element from GET /v1/models.data[].

Authentication

No authentication is required. API keys sent as Authorization: Bearer ... are accepted but not required.

Path Parameters

model_idstringrequired

Model ID from GET /v1/models data[].id.

Response

idstring

Model ID to pass as the model parameter.

objectstring

Always model.

createdinteger

Unix timestamp derived from the model publish or update time.

owned_bystring

Publisher or owner display name.

architectureobject

Model architecture and modality metadata.

architecture.input_modalitiesstring[]

Supported input modalities, such as text, image, audio, or video.

architecture.output_modalitiesstring[]

Supported output modalities, such as text, image, audio, or video.

architecture.tokenizerstring|null

Tokenizer family when available; otherwise null.

canonical_slugstring

Model slug. Matches id.

context_lengthinteger|null

Maximum prompt plus completion tokens when derivable from the model API Usage schema.

default_parametersobject

Default request parameter values applied or recommended for this model when available.

descriptionstring

Model description.

expiration_datestring|null

Expiration date when available; otherwise null.

hugging_face_idstring|null

Hugging Face model identifier when available; otherwise null.

knowledge_cutoffstring|null

Training-data cutoff date when available; otherwise null.

linksobject

Related model resources.

links.detailsstring

Token360 model detail path.

namestring

Display name.

per_request_limitsobject

Per-request limits derived from the normalized API Usage schema.

per_request_limits.completion_tokensinteger|null

Maximum completion, output, or generated tokens per request.

per_request_limits.prompt_tokensinteger|null

Maximum prompt or input tokens per request.

supported_parametersstring[]

Supported request parameter names.

parameter_schemaobject

Supported request parameter metadata keyed by supported parameter name.

parameter_schema.{param}object
supported_voicesstring[]|null

Supported voice IDs for voice models when available; otherwise null.

Request

Shell
1curl https://api.token360.ai/v1/models/qwen3.5-flash

Response

JSON
1{
2  "architecture": {
3    "input_modalities": ["text", "image", "video"],
4    "output_modalities": ["text"],
5    "tokenizer": null
6  },
7  "canonical_slug": "qwen3.5-flash",
8  "context_length": null,
9  "created": 1780324099,
10  "default_parameters": {
11    "frequency_penalty": 0,
12    "presence_penalty": 0,
13    "temperature": 0.7,
14    "top_p": 1
15  },
16  "description": "",
17  "expiration_date": null,
18  "hugging_face_id": null,
19  "id": "qwen3.5-flash",
20  "knowledge_cutoff": null,
21  "links": {
22    "details": "/models/qwen3.5-flash"
23  },
24  "name": "Qwen3.5 Flash",
25  "object": "model",
26  "owned_by": "Qwen",
27  "per_request_limits": {
28    "completion_tokens": 4096,
29    "prompt_tokens": null
30  },
31  "supported_parameters": [
32    "temperature",
33    "top_p",
34    "max_completion_tokens",
35    "presence_penalty",
36    "frequency_penalty"
37  ],
38  "parameter_schema": {
39    "temperature": {
40      "type": "number",
41      "options": null,
42      "default": 0.7,
43      "min": 0,
44      "max": 2
45    },
46    "top_p": {
47      "type": "number",
48      "options": null,
49      "default": 1,
50      "min": 0,
51      "max": 1
52    },
53    "max_completion_tokens": {
54      "type": "number",
55      "options": null,
56      "default": 4096,
57      "min": 1,
58      "max": 65536
59    },
60    "presence_penalty": {
61      "type": "number",
62      "options": null,
63      "default": 0,
64      "min": -2,
65      "max": 2
66    },
67    "frequency_penalty": {
68      "type": "number",
69      "options": null,
70      "default": 0,
71      "min": -2,
72      "max": 2
73    }
74  },
75  "supported_voices": null
76}
Was this page helpful?